// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: regulatormodule/regulatormodule.proto

package openfmb.regulatormodule;

/**
 * <pre>
 * Regulator event profile
 * </pre>
 *
 * Protobuf type {@code regulatormodule.RegulatorEventProfile}
 */
public final class RegulatorEventProfile extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:regulatormodule.RegulatorEventProfile)
    RegulatorEventProfileOrBuilder {
private static final long serialVersionUID = 0L;
  // Use RegulatorEventProfile.newBuilder() to construct.
  private RegulatorEventProfile(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private RegulatorEventProfile() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new RegulatorEventProfile();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEventProfile_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEventProfile_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.regulatormodule.RegulatorEventProfile.class, openfmb.regulatormodule.RegulatorEventProfile.Builder.class);
  }

  public static final int EVENTMESSAGEINFO_FIELD_NUMBER = 1;
  private openfmb.commonmodule.EventMessageInfo eventMessageInfo_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the eventMessageInfo field is set.
   */
  @java.lang.Override
  public boolean hasEventMessageInfo() {
    return eventMessageInfo_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The eventMessageInfo.
   */
  @java.lang.Override
  public openfmb.commonmodule.EventMessageInfo getEventMessageInfo() {
    return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.EventMessageInfoOrBuilder getEventMessageInfoOrBuilder() {
    return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
  }

  public static final int REGULATOREVENT_FIELD_NUMBER = 2;
  private openfmb.regulatormodule.RegulatorEvent regulatorEvent_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the regulatorEvent field is set.
   */
  @java.lang.Override
  public boolean hasRegulatorEvent() {
    return regulatorEvent_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The regulatorEvent.
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorEvent getRegulatorEvent() {
    return regulatorEvent_ == null ? openfmb.regulatormodule.RegulatorEvent.getDefaultInstance() : regulatorEvent_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorEventOrBuilder getRegulatorEventOrBuilder() {
    return regulatorEvent_ == null ? openfmb.regulatormodule.RegulatorEvent.getDefaultInstance() : regulatorEvent_;
  }

  public static final int REGULATORSYSTEM_FIELD_NUMBER = 3;
  private openfmb.regulatormodule.RegulatorSystem regulatorSystem_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the regulatorSystem field is set.
   */
  @java.lang.Override
  public boolean hasRegulatorSystem() {
    return regulatorSystem_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The regulatorSystem.
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorSystem getRegulatorSystem() {
    return regulatorSystem_ == null ? openfmb.regulatormodule.RegulatorSystem.getDefaultInstance() : regulatorSystem_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorSystemOrBuilder getRegulatorSystemOrBuilder() {
    return regulatorSystem_ == null ? openfmb.regulatormodule.RegulatorSystem.getDefaultInstance() : regulatorSystem_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (eventMessageInfo_ != null) {
      output.writeMessage(1, getEventMessageInfo());
    }
    if (regulatorEvent_ != null) {
      output.writeMessage(2, getRegulatorEvent());
    }
    if (regulatorSystem_ != null) {
      output.writeMessage(3, getRegulatorSystem());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (eventMessageInfo_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getEventMessageInfo());
    }
    if (regulatorEvent_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getRegulatorEvent());
    }
    if (regulatorSystem_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getRegulatorSystem());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.regulatormodule.RegulatorEventProfile)) {
      return super.equals(obj);
    }
    openfmb.regulatormodule.RegulatorEventProfile other = (openfmb.regulatormodule.RegulatorEventProfile) obj;

    if (hasEventMessageInfo() != other.hasEventMessageInfo()) return false;
    if (hasEventMessageInfo()) {
      if (!getEventMessageInfo()
          .equals(other.getEventMessageInfo())) return false;
    }
    if (hasRegulatorEvent() != other.hasRegulatorEvent()) return false;
    if (hasRegulatorEvent()) {
      if (!getRegulatorEvent()
          .equals(other.getRegulatorEvent())) return false;
    }
    if (hasRegulatorSystem() != other.hasRegulatorSystem()) return false;
    if (hasRegulatorSystem()) {
      if (!getRegulatorSystem()
          .equals(other.getRegulatorSystem())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasEventMessageInfo()) {
      hash = (37 * hash) + EVENTMESSAGEINFO_FIELD_NUMBER;
      hash = (53 * hash) + getEventMessageInfo().hashCode();
    }
    if (hasRegulatorEvent()) {
      hash = (37 * hash) + REGULATOREVENT_FIELD_NUMBER;
      hash = (53 * hash) + getRegulatorEvent().hashCode();
    }
    if (hasRegulatorSystem()) {
      hash = (37 * hash) + REGULATORSYSTEM_FIELD_NUMBER;
      hash = (53 * hash) + getRegulatorSystem().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorEventProfile parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.regulatormodule.RegulatorEventProfile prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Regulator event profile
   * </pre>
   *
   * Protobuf type {@code regulatormodule.RegulatorEventProfile}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:regulatormodule.RegulatorEventProfile)
      openfmb.regulatormodule.RegulatorEventProfileOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEventProfile_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEventProfile_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.regulatormodule.RegulatorEventProfile.class, openfmb.regulatormodule.RegulatorEventProfile.Builder.class);
    }

    // Construct using openfmb.regulatormodule.RegulatorEventProfile.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      eventMessageInfo_ = null;
      if (eventMessageInfoBuilder_ != null) {
        eventMessageInfoBuilder_.dispose();
        eventMessageInfoBuilder_ = null;
      }
      regulatorEvent_ = null;
      if (regulatorEventBuilder_ != null) {
        regulatorEventBuilder_.dispose();
        regulatorEventBuilder_ = null;
      }
      regulatorSystem_ = null;
      if (regulatorSystemBuilder_ != null) {
        regulatorSystemBuilder_.dispose();
        regulatorSystemBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEventProfile_descriptor;
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorEventProfile getDefaultInstanceForType() {
      return openfmb.regulatormodule.RegulatorEventProfile.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorEventProfile build() {
      openfmb.regulatormodule.RegulatorEventProfile result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorEventProfile buildPartial() {
      openfmb.regulatormodule.RegulatorEventProfile result = new openfmb.regulatormodule.RegulatorEventProfile(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.regulatormodule.RegulatorEventProfile result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.eventMessageInfo_ = eventMessageInfoBuilder_ == null
            ? eventMessageInfo_
            : eventMessageInfoBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.regulatorEvent_ = regulatorEventBuilder_ == null
            ? regulatorEvent_
            : regulatorEventBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.regulatorSystem_ = regulatorSystemBuilder_ == null
            ? regulatorSystem_
            : regulatorSystemBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.regulatormodule.RegulatorEventProfile) {
        return mergeFrom((openfmb.regulatormodule.RegulatorEventProfile)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.regulatormodule.RegulatorEventProfile other) {
      if (other == openfmb.regulatormodule.RegulatorEventProfile.getDefaultInstance()) return this;
      if (other.hasEventMessageInfo()) {
        mergeEventMessageInfo(other.getEventMessageInfo());
      }
      if (other.hasRegulatorEvent()) {
        mergeRegulatorEvent(other.getRegulatorEvent());
      }
      if (other.hasRegulatorSystem()) {
        mergeRegulatorSystem(other.getRegulatorSystem());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getEventMessageInfoFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getRegulatorEventFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getRegulatorSystemFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.EventMessageInfo eventMessageInfo_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder> eventMessageInfoBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the eventMessageInfo field is set.
     */
    public boolean hasEventMessageInfo() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return The eventMessageInfo.
     */
    public openfmb.commonmodule.EventMessageInfo getEventMessageInfo() {
      if (eventMessageInfoBuilder_ == null) {
        return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
      } else {
        return eventMessageInfoBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventMessageInfo(openfmb.commonmodule.EventMessageInfo value) {
      if (eventMessageInfoBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        eventMessageInfo_ = value;
      } else {
        eventMessageInfoBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventMessageInfo(
        openfmb.commonmodule.EventMessageInfo.Builder builderForValue) {
      if (eventMessageInfoBuilder_ == null) {
        eventMessageInfo_ = builderForValue.build();
      } else {
        eventMessageInfoBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeEventMessageInfo(openfmb.commonmodule.EventMessageInfo value) {
      if (eventMessageInfoBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          eventMessageInfo_ != null &&
          eventMessageInfo_ != openfmb.commonmodule.EventMessageInfo.getDefaultInstance()) {
          getEventMessageInfoBuilder().mergeFrom(value);
        } else {
          eventMessageInfo_ = value;
        }
      } else {
        eventMessageInfoBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearEventMessageInfo() {
      bitField0_ = (bitField0_ & ~0x00000001);
      eventMessageInfo_ = null;
      if (eventMessageInfoBuilder_ != null) {
        eventMessageInfoBuilder_.dispose();
        eventMessageInfoBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventMessageInfo.Builder getEventMessageInfoBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getEventMessageInfoFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventMessageInfoOrBuilder getEventMessageInfoOrBuilder() {
      if (eventMessageInfoBuilder_ != null) {
        return eventMessageInfoBuilder_.getMessageOrBuilder();
      } else {
        return eventMessageInfo_ == null ?
            openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder> 
        getEventMessageInfoFieldBuilder() {
      if (eventMessageInfoBuilder_ == null) {
        eventMessageInfoBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder>(
                getEventMessageInfo(),
                getParentForChildren(),
                isClean());
        eventMessageInfo_ = null;
      }
      return eventMessageInfoBuilder_;
    }

    private openfmb.regulatormodule.RegulatorEvent regulatorEvent_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorEvent, openfmb.regulatormodule.RegulatorEvent.Builder, openfmb.regulatormodule.RegulatorEventOrBuilder> regulatorEventBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the regulatorEvent field is set.
     */
    public boolean hasRegulatorEvent() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The regulatorEvent.
     */
    public openfmb.regulatormodule.RegulatorEvent getRegulatorEvent() {
      if (regulatorEventBuilder_ == null) {
        return regulatorEvent_ == null ? openfmb.regulatormodule.RegulatorEvent.getDefaultInstance() : regulatorEvent_;
      } else {
        return regulatorEventBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRegulatorEvent(openfmb.regulatormodule.RegulatorEvent value) {
      if (regulatorEventBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        regulatorEvent_ = value;
      } else {
        regulatorEventBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRegulatorEvent(
        openfmb.regulatormodule.RegulatorEvent.Builder builderForValue) {
      if (regulatorEventBuilder_ == null) {
        regulatorEvent_ = builderForValue.build();
      } else {
        regulatorEventBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeRegulatorEvent(openfmb.regulatormodule.RegulatorEvent value) {
      if (regulatorEventBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          regulatorEvent_ != null &&
          regulatorEvent_ != openfmb.regulatormodule.RegulatorEvent.getDefaultInstance()) {
          getRegulatorEventBuilder().mergeFrom(value);
        } else {
          regulatorEvent_ = value;
        }
      } else {
        regulatorEventBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearRegulatorEvent() {
      bitField0_ = (bitField0_ & ~0x00000002);
      regulatorEvent_ = null;
      if (regulatorEventBuilder_ != null) {
        regulatorEventBuilder_.dispose();
        regulatorEventBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.regulatormodule.RegulatorEvent.Builder getRegulatorEventBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getRegulatorEventFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.regulatormodule.RegulatorEventOrBuilder getRegulatorEventOrBuilder() {
      if (regulatorEventBuilder_ != null) {
        return regulatorEventBuilder_.getMessageOrBuilder();
      } else {
        return regulatorEvent_ == null ?
            openfmb.regulatormodule.RegulatorEvent.getDefaultInstance() : regulatorEvent_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEvent regulatorEvent = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorEvent, openfmb.regulatormodule.RegulatorEvent.Builder, openfmb.regulatormodule.RegulatorEventOrBuilder> 
        getRegulatorEventFieldBuilder() {
      if (regulatorEventBuilder_ == null) {
        regulatorEventBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.regulatormodule.RegulatorEvent, openfmb.regulatormodule.RegulatorEvent.Builder, openfmb.regulatormodule.RegulatorEventOrBuilder>(
                getRegulatorEvent(),
                getParentForChildren(),
                isClean());
        regulatorEvent_ = null;
      }
      return regulatorEventBuilder_;
    }

    private openfmb.regulatormodule.RegulatorSystem regulatorSystem_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorSystem, openfmb.regulatormodule.RegulatorSystem.Builder, openfmb.regulatormodule.RegulatorSystemOrBuilder> regulatorSystemBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the regulatorSystem field is set.
     */
    public boolean hasRegulatorSystem() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The regulatorSystem.
     */
    public openfmb.regulatormodule.RegulatorSystem getRegulatorSystem() {
      if (regulatorSystemBuilder_ == null) {
        return regulatorSystem_ == null ? openfmb.regulatormodule.RegulatorSystem.getDefaultInstance() : regulatorSystem_;
      } else {
        return regulatorSystemBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRegulatorSystem(openfmb.regulatormodule.RegulatorSystem value) {
      if (regulatorSystemBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        regulatorSystem_ = value;
      } else {
        regulatorSystemBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRegulatorSystem(
        openfmb.regulatormodule.RegulatorSystem.Builder builderForValue) {
      if (regulatorSystemBuilder_ == null) {
        regulatorSystem_ = builderForValue.build();
      } else {
        regulatorSystemBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeRegulatorSystem(openfmb.regulatormodule.RegulatorSystem value) {
      if (regulatorSystemBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          regulatorSystem_ != null &&
          regulatorSystem_ != openfmb.regulatormodule.RegulatorSystem.getDefaultInstance()) {
          getRegulatorSystemBuilder().mergeFrom(value);
        } else {
          regulatorSystem_ = value;
        }
      } else {
        regulatorSystemBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearRegulatorSystem() {
      bitField0_ = (bitField0_ & ~0x00000004);
      regulatorSystem_ = null;
      if (regulatorSystemBuilder_ != null) {
        regulatorSystemBuilder_.dispose();
        regulatorSystemBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.regulatormodule.RegulatorSystem.Builder getRegulatorSystemBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getRegulatorSystemFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.regulatormodule.RegulatorSystemOrBuilder getRegulatorSystemOrBuilder() {
      if (regulatorSystemBuilder_ != null) {
        return regulatorSystemBuilder_.getMessageOrBuilder();
      } else {
        return regulatorSystem_ == null ?
            openfmb.regulatormodule.RegulatorSystem.getDefaultInstance() : regulatorSystem_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorSystem regulatorSystem = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorSystem, openfmb.regulatormodule.RegulatorSystem.Builder, openfmb.regulatormodule.RegulatorSystemOrBuilder> 
        getRegulatorSystemFieldBuilder() {
      if (regulatorSystemBuilder_ == null) {
        regulatorSystemBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.regulatormodule.RegulatorSystem, openfmb.regulatormodule.RegulatorSystem.Builder, openfmb.regulatormodule.RegulatorSystemOrBuilder>(
                getRegulatorSystem(),
                getParentForChildren(),
                isClean());
        regulatorSystem_ = null;
      }
      return regulatorSystemBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:regulatormodule.RegulatorEventProfile)
  }

  // @@protoc_insertion_point(class_scope:regulatormodule.RegulatorEventProfile)
  private static final openfmb.regulatormodule.RegulatorEventProfile DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.regulatormodule.RegulatorEventProfile();
  }

  public static openfmb.regulatormodule.RegulatorEventProfile getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<RegulatorEventProfile>
      PARSER = new com.google.protobuf.AbstractParser<RegulatorEventProfile>() {
    @java.lang.Override
    public RegulatorEventProfile parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<RegulatorEventProfile> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<RegulatorEventProfile> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.regulatormodule.RegulatorEventProfile getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

